TypeScript
import { Configuration, OrderChannelsApi } from "@zippendo/sdk"
const api = new OrderChannelsApi(new Configuration({ accessToken: process.env.ZIPPENDO_API_TOKEN }))
const result = await api.revokeOrderChannelWebhookSecret({ orgId: "...", channelId: "..." })import os
import zippendo
config = zippendo.Configuration(access_token=os.environ["ZIPPENDO_API_TOKEN"])
with zippendo.ApiClient(config) as client:
result = zippendo.OrderChannelsApi(client).revoke_order_channel_webhook_secret("...", "...")<?php
$config = Zippendo\Sdk\Configuration::getDefaultConfiguration()->setAccessToken(getenv("ZIPPENDO_API_TOKEN"));
$api = new Zippendo\Sdk\Api\OrderChannelsApi(new GuzzleHttp\Client(), $config);
$result = $api->revokeOrderChannelWebhookSecret("...", "...");client := zippendo.NewAPIClient(zippendo.NewConfiguration())
ctx := context.WithValue(context.Background(), zippendo.ContextAccessToken, os.Getenv("ZIPPENDO_API_TOKEN"))
result, _, err := client.OrderChannelsAPI.RevokeOrderChannelWebhookSecret(ctx, "...", "...").Execute()require "zippendo"
Zippendo.configure { |c| c.access_token = ENV["ZIPPENDO_API_TOKEN"] }
result = Zippendo::OrderChannelsApi.new.revoke_order_channel_webhook_secret("...", "...")curl --request DELETE \
--url https://api.zippendo.com/orgs/{orgId}/order-channels/{channelId}/webhook-secret \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zippendo.com/orgs/{orgId}/order-channels/{channelId}/webhook-secret', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.delete("https://api.zippendo.com/orgs/{orgId}/order-channels/{channelId}/webhook-secret")
.header("Authorization", "Bearer <token>")
.asString();{
"revoked": true
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}Order Channels
Revoke webhook signing secret
Revokes the custom channel’s webhook signing secret. All subsequent pushes to the ingest URL are rejected until a new secret is generated.
DELETE
/
orgs
/
{orgId}
/
order-channels
/
{channelId}
/
webhook-secret
TypeScript
import { Configuration, OrderChannelsApi } from "@zippendo/sdk"
const api = new OrderChannelsApi(new Configuration({ accessToken: process.env.ZIPPENDO_API_TOKEN }))
const result = await api.revokeOrderChannelWebhookSecret({ orgId: "...", channelId: "..." })import os
import zippendo
config = zippendo.Configuration(access_token=os.environ["ZIPPENDO_API_TOKEN"])
with zippendo.ApiClient(config) as client:
result = zippendo.OrderChannelsApi(client).revoke_order_channel_webhook_secret("...", "...")<?php
$config = Zippendo\Sdk\Configuration::getDefaultConfiguration()->setAccessToken(getenv("ZIPPENDO_API_TOKEN"));
$api = new Zippendo\Sdk\Api\OrderChannelsApi(new GuzzleHttp\Client(), $config);
$result = $api->revokeOrderChannelWebhookSecret("...", "...");client := zippendo.NewAPIClient(zippendo.NewConfiguration())
ctx := context.WithValue(context.Background(), zippendo.ContextAccessToken, os.Getenv("ZIPPENDO_API_TOKEN"))
result, _, err := client.OrderChannelsAPI.RevokeOrderChannelWebhookSecret(ctx, "...", "...").Execute()require "zippendo"
Zippendo.configure { |c| c.access_token = ENV["ZIPPENDO_API_TOKEN"] }
result = Zippendo::OrderChannelsApi.new.revoke_order_channel_webhook_secret("...", "...")curl --request DELETE \
--url https://api.zippendo.com/orgs/{orgId}/order-channels/{channelId}/webhook-secret \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zippendo.com/orgs/{orgId}/order-channels/{channelId}/webhook-secret', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.delete("https://api.zippendo.com/orgs/{orgId}/order-channels/{channelId}/webhook-secret")
.header("Authorization", "Bearer <token>")
.asString();{
"revoked": true
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}Authorizations
JWT access token or API token (prefixed with zipp_)
Path Parameters
Organization ID.
Example:
"clz9k2f0a0000abcd0000zzzz"
Order channel ID.
Example:
"clz9k2f0a0001abcd1234efgh"
Response
Default Response
Whether the signing secret was revoked.
Example:
true
Was this page helpful?
⌘I